package document_request

import (
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
	"os"
)

type DocumentKeywordDetectRequest struct {
	// 【签署文档id集合】签署文档id集合 【作用】 指定需检测是否存在关键词的签署文档 【传参】 1、格式：3317076073780658381,3317076073780658382 2、线下文件和签署文档id必传其一，均传入以签署文档id为准
	DocumentIds string `json:"documentIds,omitempty"`
	// 【线下文件】线下文件 【作用】 上传需检测是否存在关键词的文件 【传参】 1、支持的文件格式：pdf，doc，docx，wps，xls，xlsx，txt，ppt，pptx。 2、线下文件和签署文档id必传其一，均传入以签署文档id为准
	Files []*os.File `json:"files,omitempty"`
	// 【关键词】关键词 【作用】 传入需检测的关键词数组，检测文件中是否存在 【传参】 单个关键词最大长度：100（包含）。 【特殊说明】 需对关键字数组进行转义后传入
	Keywords string `json:"keywords"`
}

func (obj DocumentKeywordDetectRequest) GetUrl() string {
	return "/document/keyword/detect"
}

func (obj DocumentKeywordDetectRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewPostHttpParameter()
	parameter.AddParam("documentIds", obj.DocumentIds)
	parameter.AddParam("keywords", obj.Keywords)
	parameter.AddListFiles("files", obj.Files)
	return parameter
}
